using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PanneauDisplay : MonoBehaviour
{
    public string TextToDisplay = "Ceci est le texte de base du panneau";
    public GameObject backgroundPanelDisplay;
    public GameObject textPanelDisplay;

    // Start is called before the first frame update
    void Start()
    {
        backgroundPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(0f);
        textPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(0f);
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.CompareTag("Player"))
        {
            textPanelDisplay.GetComponent<Text>().text = TextToDisplay;
            backgroundPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(1f);
            textPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(1f);
        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        if (collision.CompareTag("Player"))
        {
            backgroundPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(0f);
            textPanelDisplay.GetComponent<CanvasRenderer>().SetAlpha(0f);
        }
    }
}
